Subject: RE: [Sip] Re: issue with oubound and the used transport protocol

From: "Kevin Johns" <[email-masked]>
Date: Thu, 30 Nov 2006 15:12:52 -0700

Your right, I am thinking 3GPP which uses UDP encapsulated IPsec in
tunnel mode and they do leverage the keep alives provided by UDP
encapsulated IPsec if outbound is not used. If outbound is being used,
STUN keepalives are utilized (at least at this time...)

Kevin

-----Original Message-----
From: Francois Audet [mailto:[email-masked]] 
Sent: Thursday, November 30, 2006 3:08 PM
To: Christer Holmberg (JO/LMF); Kevin Johns; Fredrik Thulin
Cc: [email-masked]; [email-masked]
Subject: RE: [Sip] Re: issue with oubound and the used transport
protocol

Right.

My point was that the keep-alive didn't matter since any option will
work, and you don't need one in the first place because the UDP/IPsec
already has one.

But it just occured to me... I'm thinking VPN, and you are probably
thinking 3GPP. And I don't know anything about how that works. :-)

If that's the case, you can safely ignore my posting.

> -----Original Message-----
> From: Christer Holmberg (JO/LMF)
> [mailto:[email-masked]]
> Sent: Thursday, November 30, 2006 13:49
> To: Audet, Francois (SC100:3055); Kevin Johns; Fredrik Thulin
> Cc: [email-masked]; [email-masked]
> Subject: RE: [Sip] Re: issue with oubound and the used transport 
> protocol
> 
> 
> Hi,
> 
> >I would think that UDP encapsulated IPsec would have it's own 
> >keep-alive.
> >So they wouldn't need Outbound in the first place.
> 
> They may want to use outbound in order to support multiple simultanous

> registrations.
> 
> So, if there would also be NATs, the question is what keep-alive they 
> should use.
> 
> Regards,
> 
> Christer
> 
> 
> 
> 
> > 
> > But even if they didn't then the CRLF thing would still work.
> > 
> > > -----Original Message-----
> > > From: Kevin Johns [mailto:[email-masked]]
> > > Sent: Thursday, November 30, 2006 12:47
> > > To: Fredrik Thulin; Audet, Francois (SC100:3055)
> > > Cc: [email-masked]; [email-masked]
> > > Subject: RE: [Sip] Re: issue with oubound and the used transport 
> > > protocol
> > > 
> > > Not all architectures use TLS/TCP, some use UDP
> encapsulated IPsec.
> > > Would a TCP session via UDP encapsulated IPsec be impacted
> > by this? I
> > > do not think it would, but just wanted to double check...
> > > 
> > > Kevin
> > > 
> > > -----Original Message-----
> > > From: Fredrik Thulin [mailto:[email-masked]]
> > > Sent: Thursday, November 30, 2006 11:21 AM
> > > To: Francois Audet
> > > Cc: [email-masked]; [email-masked]
> > > Subject: Re: [Sip] Re: issue with oubound and the used transport 
> > > protocol
> > > 
> > > Francois Audet wrote:
> > > > Didn't we agree way back NOT to use PING, CRLF, etc., and
> > use STUN
> > > > instead?
> > > > 
> > > > Why is this debate being re-opened?
> > > 
> > > Because it seems more and more (to me at least) that
> > Outbound with UDP
> > > will just suck.
> > > 
> > > If Outbound UA's have to get their act together and
> > implement TLS/TCP,
> > > then we can simplify Outbound even further by skipping the
> > whole STUN
> > > keepalive thing, and go with CRLF over TLS/TCP.
> > > 
> > > I am very much in favor of cutting both UDP and STUN
> > keepalives out of
> > > Outbound. I think that would lead to faster deployment, and
> > also make
> > > the world a better place by eliminating some SIP over UDP.
> > > 
> > > /Fredrik
> > > 
> > > PS. By the way, when people say CRLF keepalives, do you
> > mean CRLF sent
> > > only from the UA, or CRLF from UA to edge proxy followed
> by CRLF in
> > > the reverse direction too?
> > > 
> > > 
> > > 
> > > _______________________________________________
> > > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > > This list is for NEW development of the core SIP Protocol Use 
> > > [email-masked] for questions on current sip Use 
> > > [email-masked] for new developments on the application of sip
> > > 
> > > 
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> > 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip